from pydantic import BaseModel
from typing import Dict

class IRTModel(BaseModel):
  a_param: float
  b_param: Dict = {"schema_bson_id": str, "field_bson_id": str}
  c_param: float
  model: str


  def formatted_b_param(self):
    return self.b_param['schema_bson_id'] + '-' + self.b_param['field_bson_id']
